/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:blkcpy.c 12.0$ */
/* $ACIS:blkcpy.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/blkcpy.c,v $ */

#ifndef lint
static char *rcsid = "$Header:blkcpy.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)blkcpy.c 1.3 11/12/82";

blkcpy(from, to, siz)
	register char	*from;
	register char	*to;
	long		siz;
{
	register int	size = siz;

	if (to < from)
		while(size-- > 0)
			*to++ = *from++;
	else {
		to += size;
		from += size;
		while(size-- > 0)
			*--to = *--from;
	}
}
